using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            long p = long.Parse(s[0]);
            long q = long.Parse(s[1]);
            long r = long.Parse(s[2]);
            long L = long.Parse(s[3]);
            long R = long.Parse(s[4]);
            long u = 0;
            long x = 0;
            for (long i = L; i <= R; i++)
            {
                x = i / p  + i / q + i / r;
                if (i % p > 0)
                    x++;
                if (i % q > 0)
                    x++;
                if (i % r > 0)
                    x++;
                if (x <= i)
                    u++;
            }
            Console.WriteLine(u);
        }
    }
}